:PROPERTIES:
:ID:       28ed1d6a-42c1-4763-b8a2-4c644fa385ef
:END:
#+title: Vagrant
#+date: "2021-06-19 00:36:24 +08:00"
#+date_modified: "2021-07-20 23:33:02 +08:00"
#+language: en


- automating virtual machine workflows with plain-text files
- can talk to different VM providers — e.g., Virtualbox, KVM
- almost similar to Docker that is provides isolation and virtualization but it can support more use cases with the operating system configurations
- similarly, it also has a [[https://vagrantcloud.com/boxes/search][public catalog of images]] (or boxes)
- the directory where the Vagrantfile is set will be mounted on =/vagrant= on the VM by default
- plugins are available extending support for several providers such as libvirt
- you can further customize the box to your specific needs by creating [[https://www.vagrantup.com/docs/provisioning][provisions]]
